> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Tax Parameter Summary

> Retrieve a list of an employee's tax withholding parameters.



## OpenAPI

````yaml openapi/zeal-api.json post /employees/getTaxParameterSummary
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employees/getTaxParameterSummary:
    post:
      summary: Get Employee Tax Parameter Summary
      description: Retrieve a list of an employee's tax withholding parameters.
      operationId: get-employee-tax-parameter
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - employeeID
                - companyID
              properties:
                employeeID:
                  type: string
                  description: ID of the Employee
                companyID:
                  type: string
                  description: ID of the employer that the Employee belongs to
                jurisdictions:
                  type: array
                  description: >-
                    List of jurisdictions for which the tax parameters are to be
                    fetched. "US" for federal, or State (2 letter abbreviation)
                  items:
                    type: string
                effectiveDate:
                  type: string
                  description: >-
                    Effective date of the tax parameters in this request. Only
                    accepts YYYY-MM-DD date format **Note: Will default to the
                    time of the request**
                  format: date
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - employeeID: 622fbd3d2d883a0025b18e96
                        effectiveDate: '2021-11-11T00:00:00.000Z'
                        jurisdiction: US
                        params:
                          - code: FILINGSTATUS
                            type: options
                            value: S
                            valueDescription: Single or Married filing separately
                            label: Filing Status
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: IS_NON_RESIDENT_ALIEN
                            type: boolean
                            value: 'false'
                            label: Nonresident Alien
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: TWO_JOBS
                            type: boolean
                            value: 'false'
                            label: Two Jobs
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: DEPENDENTS_AMOUNT
                            type: dollars
                            value: '0'
                            label: Dependents Amount
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: OTHER_INCOME
                            type: dollars
                            value: '0'
                            label: Other Income
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: EXTRA_WH
                            type: dollars
                            value: '0'
                            label: Extra Withholding
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: DEDUCTIONS
                            type: dollars
                            value: '0'
                            label: Deductions
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: EXEMPT
                            type: boolean
                            value: 'false'
                            label: Exempt from withholding
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: SUBJECT
                            type: boolean
                            value: 'true'
                            label: Subject to tax
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: FICA_SocialSecurity_EE_EXEMPT
                            type: options
                            value: NOT_EXEMPT
                            valueDescription: Not exempt
                            label: FICA Social Security Employee Exempt
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: FICA_Medicare_EE_EXEMPT
                            type: options
                            value: NOT_EXEMPT
                            valueDescription: Not exempt
                            label: FICA Medicare Employee Exempt
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: FICA_Medicare_ER_EXEMPT
                            type: options
                            value: NOT_EXEMPT
                            valueDescription: Not exempt
                            label: FICA Medicare Employer Exempt
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: FICA_SocialSecurity_ER_EXEMPT
                            type: options
                            value: NOT_EXEMPT
                            valueDescription: Not exempt
                            label: FICA Social Security Employer Exempt
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: FUTA_EXEMPT
                            type: options
                            value: NOT_EXEMPT
                            valueDescription: Not exempt
                            label: FUTA Exempt
                            isDefaultValue: true
                            isUserProvidedValue: false
                      - employeeID: 622fbd3d2d883a0025b18e96
                        effectiveDate: '2021-11-11T00:00:00.000Z'
                        jurisdiction: GA
                        params:
                          - code: FILINGSTATUS
                            type: options
                            value: S
                            valueDescription: Single
                            label: Filing Status
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: PERSONALALLOWANCE
                            type: integer
                            value: '0'
                            label: Allowances based on Marital Status
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: DEPENDENTALLOWANCE
                            type: integer
                            value: '0'
                            label: Dependent Allowances
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: ADDITIONAL_WH
                            type: dollars
                            value: '0'
                            label: Additional Withholding per pay period
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: EXEMPT
                            type: boolean
                            value: 'false'
                            label: Exempt from withholding
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: SUBJECT
                            type: boolean
                            value: 'true'
                            label: Subject to tax
                            isDefaultValue: true
                            isUserProvidedValue: false
                          - code: SUTA_GA_EXEMPT
                            type: options
                            value: NOT_EXEMPT
                            valueDescription: Not exempt
                            label: SUTA GA Exempt
                            isDefaultValue: true
                            isUserProvidedValue: false
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeID:
                          type: string
                          example: 622fbd3d2d883a0025b18e96
                        effectiveDate:
                          type: string
                          example: '2021-11-11T00:00:00.000Z'
                        jurisdiction:
                          type: string
                          example: US
                        params:
                          type: array
                          items:
                            type: object
                            properties:
                              code:
                                type: string
                                example: FILINGSTATUS
                              type:
                                type: string
                                example: options
                              value:
                                type: string
                                example: S
                              valueDescription:
                                type: string
                                example: Single or Married filing separately
                              label:
                                type: string
                                example: Filing Status
                              isDefaultValue:
                                type: boolean
                                example: true
                                default: true
                              isUserProvidedValue:
                                type: boolean
                                example: false
                                default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee with this employeeID does not exist
                        code: 23
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee with this employeeID does not exist
                        code:
                          type: integer
                          example: 23
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````